package com.sifang.modules.quality.vo;


import com.sifang.modules.quality.entity.CrmEntryQualityAcceptanceResult;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class SaveAcceptItemVo {

    //质检明细id
    @NotBlank(message = "必传参数不能为空！")
    private String detailId;

    // 0 暂存  1提交
    @NotBlank(message = "必传参数不能为空！")
    private String saveResult;

    @NotEmpty(message = "验收项目不能为空")
    private List<CrmEntryQualityAcceptanceResult> items;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public List<CrmEntryQualityAcceptanceResult> getItems() {
        return items;
    }

    public void setItems(List<CrmEntryQualityAcceptanceResult> items) {
        this.items = items;
    }

    public String getSaveResult() {
        return saveResult;
    }

    public void setSaveResult(String saveResult) {
        this.saveResult = saveResult;
    }
}
